using FluentValidation;
using Hotline.Share.Dtos.CallCenter;

namespace Hotline.Validators.CallCenter
{
    public class TelToTelDtoValidator : AbstractValidator<TelToTelDto>
    {
        public TelToTelDtoValidator()
        {
            RuleFor(d => d.TelNo).NotEmpty();
        }
    }

    public class TelToOuterDtoValidator : AbstractValidator<TelToOuterDto>
    {
        public TelToOuterDtoValidator()
        {
            RuleFor(d => d.OuterNo).NotEmpty();
        }
    }

    public class VisitorToTelDtoValidator : AbstractValidator<VisitorToTelDto>
    {
        public VisitorToTelDtoValidator()
        {
            RuleFor(d => d.TelNo).NotEmpty();
        }
    }

    public class VisitorToOuterDtoValidator : AbstractValidator<VisitorToOuterDto>
    {
        public VisitorToOuterDtoValidator()
        {
            RuleFor(d => d.OuterNo).NotEmpty();
        }
    }

    public class OuterToOuterDtoValidator : AbstractValidator<OuterToOuterDto>
    {
        public OuterToOuterDtoValidator()
        {
            RuleFor(d => d.OuterNo).NotEmpty();
        }
    }

    public class OuterToTelDtoValidator : AbstractValidator<OuterToTelDto>
    {
        public OuterToTelDtoValidator()
        {
            RuleFor(d => d.TelNo).NotEmpty();
        }
    }


}
